p
Prev | Orchestra Opcodes and Operators | Next

## p

p — Show the value in a given p-field.

## Description

Show the value in a given p-field.

## Syntax

    p(x)

This function works at i-rate and k-rate.

## Initialization

x -- the number of the p-field.

## Performance

The value returned by the p function is the value in a p-field.

## Examples

Here is an example of the p opcode. It uses the file p.csd.

Example 339. Example of the p opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o p.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Get the value in the fourth p-field, p4.
      i1 = p(4)

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; p4 = value to be printed.
    ; Play Instrument #1 for one second, p4 = 50.375.
    i 1 0 1 50.375
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like:

    instr 1:  i1 = 50.375

## Credits

Example written by Kevin Conder.

Prev | Up | Next
outz | Home | pan